Package org.globus.gsi.proxy

# Class IgnoreProxyPolicyHandler

java.lang.Object
org.globus.gsi.proxy.IgnoreProxyPolicyHandler

All Implemented Interfaces:
  `ProxyPolicyHandler`

public class IgnoreProxyPolicyHandler extends Object implements ProxyPolicyHandler
A simple restricted proxy policy handler that logs the proxy policy language oid. It can be used for debugging purposes.

## Constructor Summary

Constructors
Constructor
Description
`IgnoreProxyPolicyHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(ProxyCertInfo proxyCertInfo, CertPath certPath, int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IgnoreProxyPolicyHandler

public IgnoreProxyPolicyHandler()

## Method Details

### validate

public void validate(ProxyCertInfo proxyCertInfo, CertPath certPath, int index) throws CertPathValidatorException

Specified by:
  `validate` in interface `ProxyPolicyHandler`
Parameters:
  `proxyCertInfo` - the `ProxyCertInfo` extension found in the restricted proxy certificate.
  `certPath` - the certificate path being validated.
  `index` - the index of the certificate in the certPath that is being validated - the index of the restricted proxy certificate.
Throws:
  `CertPathValidatorException` - if policy validation fails.